Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
FltCopy Class Reference

A program to copy Multigen .flt files into the cvs tree. More...

`#include "fltCopy.h"`

Inheritance diagram for FltCopy:

## Public Member Functions
void | run ()
Public Member Functions inherited from CVSCopy
bool | continue_after_error ()
| Prompts the user (unless -f was specified) if he wants to continue the copy operation after some error has occurred.
CVSSourceTree::FilePath | import (const Filename &source, void *extra_data, CVSSourceDirectory *suggested_dir)
| Checks for the given filename somewhere in the directory hierarchy, and chooses a place to import it.
Public Member Functions inherited from ProgramBase
| ProgramBase (const std::string &name=std::string())
std::string | get_exec_command () const
| Returns the command that invoked this program, as a shell-friendly string, suitable for pasting into the comments of output files.
virtual void | parse_command_line (int argc, char **argv)
| Dispatches on each of the options on the command line, and passes the remaining parameters to handle_args().
void | show_description ()
| Writes the program description to stderr.
void | show_options ()
| Describes each of the available options to stderr.
void | show_text (const std::string &prefix, int indent_width, std::string text)
| Formats the indicated text and its prefix for output to stderr with the known _terminal_width.
void | show_text (const std::string &text)
| Formats the indicated text to stderr with the known _terminal_width.
void | show_usage ()
| Writes the usage line(s) to stderr.
void | write_man_page (std::ostream &out)
| Generates a man page in nroff syntax based on the description and options.

## Additional Inherited Members
Public Types inherited from ProgramBase
typedef pdeque< std::string > | Args
Public Attributes inherited from ProgramBase
Args | _program_args
Filename | _program_name

## Detailed Description

A program to copy Multigen .flt files into the cvs tree.

It copies the base file plus all externally referenced files as well as all textures.

Definition at line 34 of file fltCopy.h.

## Constructor & Destructor Documentation

## ◆ FltCopy()

FltCopy::FltCopy | ( |  | ) |

Definition at line 26 of file fltCopy.cxx.

## Member Function Documentation

## ◆ run()

void FltCopy::run | ( |  | ) |

Definition at line 49 of file fltCopy.cxx.

The documentation for this class was generated from the following files:

- pandatool/src/fltprogs/fltCopy.h
- pandatool/src/fltprogs/fltCopy.cxx